Permalink
Browse files

Updated README instructions for MAC OS X

  • Loading branch information...
Ben Ben
Ben authored and Ben committed Feb 15, 2012
1 parent 02bed66 commit def8677f1cecac0b6f630ae93d41383c04b3707c
Showing with 9 additions and 4 deletions.
  1. +7 −2 README
  2. +1 −1 beef
  3. +1 −1 install
View
9 README
@@ -53,8 +53,13 @@ Most of the contents of this file will eventually be added to /install.rb. In th
4. Prerequisites (Mac OSX)
- Make sure you have XCode installed - which provided the sqlite support BeEF needs
- Sqlite support is native in MacOS 10.6+
+ - XCode: provides the sqlite support BeEF needs
+
+ - Ruby 1.9
+ To install RVM and Ruby 1.9.3 on Mac OS:
+ $ bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer) source ~/.bash_profile
+ $ rvm install 1.9.3-p0 --with-gcc=clang
+ $ rvm use 1.9.3
5. Install instructions
View
2 beef
@@ -24,7 +24,7 @@ if RUBY_VERSION < '1.9'
puts "\n"
puts "Ruby version " + RUBY_VERSION + " is no longer supported. Please upgrade 1.9 or later."
puts "OSX:"
- puts "sudo port install ruby19 +nosuffix"
+ puts "See Readme"
puts "\n"
exit
end
View
@@ -23,7 +23,7 @@ if RUBY_VERSION < '1.9'
puts "Ruby version " + RUBY_VERSION + " is no longer supported. Please upgrade 1.9 or later."
puts ""
puts "OSX:"
- puts "sudo port install ruby19 +nosuffix"
+ puts "See README"
puts "\n"
exit
end

0 comments on commit def8677

Please sign in to comment.